Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class jala.Form.Tracker

    Object
       |
       +--jala.Form.Tracker

class jala.Form.Tracker

Instances of this class can contain error-messages and values
Defined in Form.js

Field Summary
`Object` | `errors` A map containing error messages
`Object` | `reqData` A map containing input from request data
`Object` | `values` A map containing parsed values (only for those fields that didn't fail during checkRequirements method).

Constructor Summary
`jala.Form.Tracker (reqData)` A generic container for error-messages and values

Method Summary
`Number` | `countErrors()` Returns the number of components for which this instance has tracked an error.
`Boolean` | `hasError()` Returns true if an error has been set for at least one component.

Field Detail

### errors

    Object errors

A map containing error messages

### reqData

    Object reqData

A map containing input from request data

### values

    Object values

A map containing parsed values (only for those fields that didn't fail during checkRequirements method).

Constructor Detail

### jala.Form.Tracker

    jala.Form.Tracker(reqData)

A generic container for error-messages and values

Method Detail

### countErrors

    Number countErrors()

Returns the number of components for which this instance has tracked an error.

Returns:

Number of components that did not validate.

### hasError

    Boolean hasError()

Returns true if an error has been set for at least one component.

Returns:

true if form encountered an error.

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008